org.apache.tomcat.util.http.fileupload

## Interface ProgressListener

-     public interface ProgressListener

  The `ProgressListener` may be used to display a progress bar or do stuff like that.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update(long pBytesRead, long pContentLength, int pItems)` Updates the listeners status information.

- - ### Method Detail

    - #### update

          void update(long pBytesRead,
                      long pContentLength,
                      int pItems)

      Updates the listeners status information.
      Parameters:
        `pBytesRead` - The total number of bytes, which have been read so far.
        `pContentLength` - The total number of bytes, which are being read. May be -1, if this number is unknown.
        `pItems` - The number of the field, which is currently being read. (0 = no item so far, 1 = first item is being read, ...)

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.